Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.licel.jcardsim.samples.ServiceDemo
Class Main

    java.lang.Object
      javacard.framework.Applet
          com.licel.jcardsim.samples.ServiceDemo.Main

    public class Main

extends Applet

Constructor Summary
`Main()`

Method Summary
`static void` | `install(byte[] aid, short s, byte b)`
`void` | `process(APDU apdu)` Called by the Java Card runtime environment to process an incoming APDU command.

Methods inherited from class javacard.framework.Applet
`deselect, getShareableInterfaceObject, register, register, select, selectingApplet`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Main

    public Main()

Method Detail

### install

    public static void install(byte[] aid,
                               short s,
                               byte b)

### process

    public void process(APDU apdu)
                 throws ISOException

  Description copied from class: `Applet`
  Called by the Java Card runtime environment to process an incoming APDU command. An applet is expected to perform the action requested and return response data if any to the terminal.

  Upon normal return from this method the Java Card runtime environment sends the ISO 7816-4 defined success status (90 00) in APDU response. If this method throws an `ISOException` the Java Card runtime environment sends the associated reason code as the response status instead.

  The Java Card runtime environment zeroes out the APDU buffer before receiving a new APDU command from the CAD. The five header bytes of the APDU command are available in APDU buffer[0..4] at the time this method is called.

  The `APDU` object parameter is a temporary Java Card runtime environment Entry Point Object. A temporary Java Card runtime environment Entry Point Object can be accessed from any applet context. References to these temporary objects cannot be stored in class variables or instance variables or array components.

  Notes:

  - APDU buffer[5..] is undefined and should not be read or written prior to invoking the `APDU.setIncomingAndReceive()` method if incoming data is expected. Altering the APDU buffer[5..] could corrupt incoming data.

  Specified by:
    `process` in class `Applet`
  Parameters:
    `apdu` - the incoming `APDU` object
  Throws:
    `ISOException` - with the response bytes per ISO 7816-4
  See Also:
    `APDU`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD